> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kwugwo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a customer

> Soft-delete a customer record.

Removes the customer from this workspace's active list. Any ugwos
already attached to the customer keep their reference for reporting,
but the customer will not appear in [list](/customers/list) or be
fetchable by ID afterwards.

## Path parameters

<ParamField path="uid" type="string" required>
  Customer ID, `ony.XXXX.YYYY...`.
</ParamField>

## Response

Returns the deleted customer (the snapshot from just before deletion).

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
    -H "Authorization: Bearer $KWUGWO_SECRET_KEY"
  ```

  ```js Node theme={null}
  await fetch(`https://api.kwugwo.africa/v1/onye/${onyeUid}`, {
    method: "DELETE",
    headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` },
  });
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST  => 'DELETE',
      CURLOPT_HTTPHEADER     => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
  ]);
  curl_exec($ch);
  curl_close($ch);
  ```

  ```python Python theme={null}
  import os, requests

  requests.delete(
      f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
      headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
  )
  ```

  ```go Go theme={null}
  url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
  req, _ := http.NewRequest("DELETE", url, nil)
  req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
  resp, _ := http.DefaultClient.Do(req)
  defer resp.Body.Close()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
    "email": "ada@example.com",
    "first_name": "Adaeze",
    "last_name": "Okeke"
  }
  ```
</ResponseExample>
